Subject: bug#36069: Menu-based installer unusable through noVNC

From: Ludovic Courtès <[email-masked]>
Date: Sat, 20 Jul 2019 15:47:04 +0200

Hi Mark,

Mark H Weaver <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> wrote:
>
>> Robert Vollmert <[email-masked]> skribis:

[...]

>>> Great find! Indeed, lspci lists
>>>
>>> 00:02.0 VGA compatible controller: Cirrus Logic GD 5446
>>>
>>> Is this something that could be fixed by including a driver for that
>>> card in the kernel?
>>
>> I suppose so.
>>
>> Mark, WDYT about adding support for Cirrus VGA cards to the kernel?
>> What would it take to do so?
>
> I know of two kernel configuration options for Cirrus video cards:
>
>   CONFIG_DRM_CIRRUS_QEMU: Cirrus driver for QEMU emulated device
>   CONFIG_FB_CIRRUS: Cirrus Logic support
>
> CONFIG_DRM_CIRRUS_QEMU is enabled as a module in all of our
> configurations except for 5.2-arm-veyron.conf.  CONFIG_FB_CIRRUS is
> enabled as a module in all of our x86_64 and i686 configurations.
>
> Is there something else I've overlooked?

Oh, I see.

Robert and Björn, could you check if adding the ‘cirrus’ and possibly
the ‘cirrusfb’ module(s) to ‘initrd-modules’ in the image you run at
your VPS solves the issue?

TIA,
Ludo’.